complexType "OilPhysicalLeg"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | oil, deliveryQuantity
</...>

Content Model Elements (2):

  deliveryQuantity (in oilPhysicalLeg), | oil

All Direct / Indirect Based Elements (1):

  oilPhysicalLeg

Known Usage Locations

- As direct type of elements (1):
  oilPhysicalLeg

Annotation
Physically settled leg of a physically settled oil product transaction.
Type Definition Detail

Type Derivation Tree Leg (extension) CommoditySwapLeg (extension) PhysicalSwapLeg (extension) OilPhysicalLeg

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="OilPhysicalLeg"> <xsd:complexContent> <xsd:extension base="PhysicalSwapLeg"> <xsd:sequence> <!--View Generation: SKIPPED deliveryPeriods - Documentation--> <xsd:element name="oil" type="OilProduct"/> <!--View Generation: SKIPPED deliveryConditions - Documentation--> <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
deliveryQuantity

  Type: | CommodityPhysicalQuantity, complex content

  The different options for specifying the quantity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="deliveryQuantity" type="CommodityPhysicalQuantity"/>

oil

  Type: | OilProduct, complex content

  The specification of the oil product to be delivered.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="oil" type="OilProduct"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.